`timescale 1ps/1ps

module XS1_UnA_64_FB96(
  inout DEBUG_N,
  inout MODE0,
  inout MODE1,
  inout MODE2,
  inout MODE3,
  inout X0D10,
  inout X0D00,
  inout X0D11,
  inout X0D01,
  inout TCK,
  inout TDO,
  inout TMS,
  inout X0D43_WAKE,
  inout X0D49,
  inout X0D50,
  inout X0D51,
  inout X0D52,
  inout X0D53,
  inout X0D54,
  inout X0D55,
  inout X0D56,
  inout X0D57,
  inout X0D58,
  inout X0D61,
  inout X0D62,
  inout X0D63,
  inout X0D64,
  inout X0D65,
  inout X0D66,
  inout X0D67,
  inout X0D68,
  inout X0D69,
  inout X0D70,
  inout X0D12,
  inout X0D13,
  inout X0D14,
  inout X0D15,
  inout X0D16,
  inout X0D17,
  inout X0D18,
  inout X0D19,
  inout X0D20,
  inout X0D21,
  inout X0D22,
  inout X0D24,
  inout X0D35,
  inout CCTEST_ANA_PMU,
  inout CCTEST_STAT1_SOC,
  inout CCTEST_STAT2_SOC,
  inout ADC0,
  inout ADC1,
  inout ADC2,
  inout ADC3,
  inout OSC_EXT_N,
  inout RST_N,
  inout TDI,
  inout TEST_EN,
  inout TEST_EN_PMU,
  inout USB_DN,
  inout USB_DP,
  inout USB_ID,
  inout USB_VBUS,
  inout XI_CLK,
  inout XO
);
wire TDI_TDO_IC;
wire USB_CLK_IC;
wire USB_FLAG1_IC;
wire USB_FLAG2_IC;
wire USB_FLAG3_IC;
wire USB_RX_DATA0_IC;
wire USB_RX_DATA1_IC;
wire USB_RX_DATA2_IC;
wire USB_RX_DATA3_IC;
wire USB_RX_DATA4_IC;
wire USB_RX_DATA5_IC;
wire USB_RX_DATA6_IC;
wire USB_RX_DATA7_IC;
wire USB_RX_RI_IC;
wire USB_TX_DATA0_IC;
wire USB_TX_DATA1_IC;
wire USB_TX_DATA2_IC;
wire USB_TX_DATA3_IC;
wire USB_TX_DATA4_IC;
wire USB_TX_DATA5_IC;
wire USB_TX_DATA6_IC;
wire USB_TX_DATA7_IC;
wire USB_TX_RI_IC;
wire USB_TX_RO_IC;
wire X_LA0IN_IC;
wire X_LA0OUT_IC;
wire X_LA1IN_IC;
wire X_LA1OUT_IC;
wire X_LA2IN_IC;
wire X_LA2OUT_IC;
wire X_LA3IN_IC;
wire X_LA3OUT_IC;
wire X_LA4IN_IC;
wire X_LA4OUT_IC;
wire X_PROC_CLK_IC;
wire X_PROC_RST_N_IC;
wire USB_R_REF_EXT_IC;

XS1_010_CHIP_TOP_PADS inst_name0
(
  .global_debug_Pad (DEBUG_N),
  .mode0_Pad (MODE0),
  .mode1_Pad (MODE1),
  .mode2_Pad (MODE2),
  .mode3_Pad (MODE3),
  .xcore0_io_Data50_Pad (X0D10),
  .xcore0_io_Data40_Pad (X0D00),
  .xcore0_io_Data51_Pad (X0D11),
  .xcore0_io_Data41_Pad (X0D01),
  .tck_Pad (TCK),
  .tdo_Pad (TDO),
  .tdi_Pad (TDI_TDO_IC),
  .tms_Pad (TMS),
  .xcore0_io_Data21_Pad (USB_CLK_IC),
  .xcore0_io_Data33_Pad (USB_FLAG1_IC),
  .xcore0_io_Data34_Pad (USB_FLAG2_IC),
  .xcore0_io_Data35_Pad (USB_FLAG3_IC),
  .xcore0_io_Data22_Pad (USB_RX_DATA0_IC),
  .xcore0_io_Data23_Pad (USB_RX_DATA1_IC),
  .xcore0_io_Data24_Pad (USB_RX_DATA2_IC),
  .xcore0_io_Data25_Pad (USB_RX_DATA3_IC),
  .xcore0_io_Data26_Pad (USB_RX_DATA4_IC),
  .xcore0_io_Data27_Pad (USB_RX_DATA5_IC),
  .xcore0_io_Data28_Pad (USB_RX_DATA6_IC),
  .xcore0_io_Data29_Pad (USB_RX_DATA7_IC),
  .xcore0_io_Data32_Pad (USB_RX_RI_IC),
  .xcore0_io_Data42_Pad (USB_TX_DATA0_IC),
  .xcore0_io_Data43_Pad (USB_TX_DATA1_IC),
  .xcore0_io_Data44_Pad (USB_TX_DATA2_IC),
  .xcore0_io_Data45_Pad (USB_TX_DATA3_IC),
  .xcore0_io_Data46_Pad (USB_TX_DATA4_IC),
  .xcore0_io_Data47_Pad (USB_TX_DATA5_IC),
  .xcore0_io_Data48_Pad (USB_TX_DATA6_IC),
  .xcore0_io_Data49_Pad (USB_TX_DATA7_IC),
  .xcore0_io_Data63_Pad (USB_TX_RI_IC),
  .xcore0_io_Data30_Pad (USB_TX_RO_IC),
  .xcore0_io_Data39_Pad (X0D43_WAKE),
  .xcore0_io_Data0_Pad (X0D49),
  .xcore0_io_Data1_Pad (X0D50),
  .xcore0_io_Data2_Pad (X0D51),
  .xcore0_io_Data3_Pad (X0D52),
  .xcore0_io_Data4_Pad (X0D53),
  .xcore0_io_Data5_Pad (X0D54),
  .xcore0_io_Data6_Pad (X0D55),
  .xcore0_io_Data7_Pad (X0D56),
  .xcore0_io_Data8_Pad (X0D57),
  .xcore0_io_Data9_Pad (X0D58),
  .xcore0_io_Data10_Pad (X0D61),
  .xcore0_io_Data11_Pad (X0D62),
  .xcore0_io_Data12_Pad (X0D63),
  .xcore0_io_Data13_Pad (X0D64),
  .xcore0_io_Data14_Pad (X0D65),
  .xcore0_io_Data15_Pad (X0D66),
  .xcore0_io_Data16_Pad (X0D67),
  .xcore0_io_Data17_Pad (X0D68),
  .xcore0_io_Data18_Pad (X0D69),
  .xcore0_io_Data19_Pad (X0D70),
  .xcore0_io_Data52_Pad (X0D12),
  .xcore0_io_Data53_Pad (X0D13),
  .xcore0_io_Data54_Pad (X0D14),
  .xcore0_io_Data55_Pad (X0D15),
  .xcore0_io_Data56_Pad (X0D16),
  .xcore0_io_Data57_Pad (X0D17),
  .xcore0_io_Data58_Pad (X0D18),
  .xcore0_io_Data59_Pad (X0D19),
  .xcore0_io_Data60_Pad (X0D20),
  .xcore0_io_Data61_Pad (X0D21),
  .xcore0_io_Data62_Pad (X0D22),
  .xcore0_io_Data20_Pad (X0D24),
  .xcore0_io_Data31_Pad (X0D35),
  .xlink5_tx0_Pad (X_LA0IN_IC),
  .xlink5_rx0_Pad (X_LA0OUT_IC),
  .xlink5_tx1_Pad (X_LA1IN_IC),
  .xlink5_rx1_Pad (X_LA1OUT_IC),
  .xlink5_tx2_Pad (X_LA2IN_IC),
  .xlink5_rx2_Pad (X_LA2OUT_IC),
  .xlink5_tx3_Pad (X_LA3IN_IC),
  .xlink5_rx3_Pad (X_LA3OUT_IC),
  .xlink5_tx4_Pad (X_LA4IN_IC),
  .xlink5_rx4_Pad (X_LA4OUT_IC),
  .pll_clkin_Pad (X_PROC_CLK_IC),
  .ext_async_rst_n_Pad (X_PROC_RST_N_IC),
  .trst_Pad (X_PROC_RST_N_IC)
);

XA1_CHIP_TOP inst_name1
(
  .cctest_ana_pmu_pad (CCTEST_ANA_PMU),
  .cctest_stat1_soc_pad (CCTEST_STAT1_SOC),
  .cctest_stat2_soc_pad (CCTEST_STAT2_SOC),
  .adc_in0_pad (ADC0),
  .adc_in1_pad (ADC1),
  .adc_in2_pad (ADC2),
  .adc_in3_pad (ADC3),
  .mode_boot_pad (OSC_EXT_N),
  .rst_n_pad (RST_N),
  .tck_pad (TCK),
  .tdi_pad (TDI),
  .tdo_pad (TDI_TDO_IC),
  .test_en_pad (TEST_EN),
  .test_en_pmu_pad (TEST_EN_PMU),
  .tms_pad (TMS),
  .x_usb_ref_clk_pad (USB_CLK_IC),
  .usb_dm_pad (USB_DN),
  .usb_dp_pad (USB_DP),
  .x_usb_flag1_pad (USB_FLAG1_IC),
  .x_usb_flag2_pad (USB_FLAG2_IC),
  .x_usb_flag3_pad (USB_FLAG3_IC),
  .usb_id_pad (USB_ID),
  .x_usb_rx_data0_pad (USB_RX_DATA0_IC),
  .x_usb_rx_data1_pad (USB_RX_DATA1_IC),
  .x_usb_rx_data2_pad (USB_RX_DATA2_IC),
  .x_usb_rx_data3_pad (USB_RX_DATA3_IC),
  .x_usb_rx_data4_pad (USB_RX_DATA4_IC),
  .x_usb_rx_data5_pad (USB_RX_DATA5_IC),
  .x_usb_rx_data6_pad (USB_RX_DATA6_IC),
  .x_usb_rx_data7_pad (USB_RX_DATA7_IC),
  .x_usb_rx_ri_pad (USB_RX_RI_IC),
  .usb_r_ref_ext_pad (USB_R_REF_EXT_IC),
  .x_usb_tx_data0_pad (USB_TX_DATA0_IC),
  .x_usb_tx_data1_pad (USB_TX_DATA1_IC),
  .x_usb_tx_data2_pad (USB_TX_DATA2_IC),
  .x_usb_tx_data3_pad (USB_TX_DATA3_IC),
  .x_usb_tx_data4_pad (USB_TX_DATA4_IC),
  .x_usb_tx_data5_pad (USB_TX_DATA5_IC),
  .x_usb_tx_data6_pad (USB_TX_DATA6_IC),
  .x_usb_tx_data7_pad (USB_TX_DATA7_IC),
  .x_usb_tx_ri_pad (USB_TX_RI_IC),
  .x_usb_tx_ro_pad (USB_TX_RO_IC),
  .usb_vbus_pad (USB_VBUS),
  .wake_pad (X0D43_WAKE),
  .x_adc_sample_pad (X0D24),
  .xtal_xin_pad (XI_CLK),
  .xtal_xout_pad (XO),
  .x_la0in_pad (X_LA0IN_IC),
  .x_la0out_pad (X_LA0OUT_IC),
  .x_la1in_pad (X_LA1IN_IC),
  .x_la1out_pad (X_LA1OUT_IC),
  .x_la2in_pad (X_LA2IN_IC),
  .x_la2out_pad (X_LA2OUT_IC),
  .x_la3in_pad (X_LA3IN_IC),
  .x_la3out_pad (X_LA3OUT_IC),
  .x_la4in_pad (X_LA4IN_IC),
  .x_la4out_pad (X_LA4OUT_IC),
  .x_proc_clk_pad (X_PROC_CLK_IC),
  .x_proc_rst_n_pad (X_PROC_RST_N_IC)
);

endmodule

